# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/datafusion/v1/datafusion.proto for package 'Google.Cloud.DataFusion.V1'
# Original file comments:
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/datafusion/v1/datafusion_pb'

module Google
  module Cloud
    module DataFusion
      module V1
        module DataFusion
          # Service for creating and managing Data Fusion instances.
          # Data Fusion enables ETL developers to build code-free, data integration
          # pipelines via a point-and-click UI.
          class Service

            include GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.datafusion.v1.DataFusion'

            # Lists possible versions for Data Fusion instances in the specified project
            # and location.
            rpc :ListAvailableVersions, ::Google::Cloud::DataFusion::V1::ListAvailableVersionsRequest, ::Google::Cloud::DataFusion::V1::ListAvailableVersionsResponse
            # Lists Data Fusion instances in the specified project and location.
            rpc :ListInstances, ::Google::Cloud::DataFusion::V1::ListInstancesRequest, ::Google::Cloud::DataFusion::V1::ListInstancesResponse
            # Gets details of a single Data Fusion instance.
            rpc :GetInstance, ::Google::Cloud::DataFusion::V1::GetInstanceRequest, ::Google::Cloud::DataFusion::V1::Instance
            # Creates a new Data Fusion instance in the specified project and location.
            rpc :CreateInstance, ::Google::Cloud::DataFusion::V1::CreateInstanceRequest, ::Google::Longrunning::Operation
            # Deletes a single Date Fusion instance.
            rpc :DeleteInstance, ::Google::Cloud::DataFusion::V1::DeleteInstanceRequest, ::Google::Longrunning::Operation
            # Updates a single Data Fusion instance.
            rpc :UpdateInstance, ::Google::Cloud::DataFusion::V1::UpdateInstanceRequest, ::Google::Longrunning::Operation
            # Restart a single Data Fusion instance.
            # At the end of an operation instance is fully restarted.
            rpc :RestartInstance, ::Google::Cloud::DataFusion::V1::RestartInstanceRequest, ::Google::Longrunning::Operation
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
